@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,100..700;1,100..700&family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Outfit:wght@100..900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&family=Rubik+Vinyl&family=Rubik:ital,wght@0,300..900;1,300..900&family=Sour+Gummy:ital,wght@0,100..900;1,100..900&family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');
*{
    margin: 0;
    padding: 0;
}
body{
    color: var(--txt-clr);
    background-color: var(--bg-clr);
    font-family: "Ubuntu", serif;
    font-weight: 500;
    font-style: normal;
    overflow-x: hidden;
    display: flex;
    flex-direction: column;
    overflow-x: hidden;
    overflow-y: auto;
}
:root{
    --txt-clr: black;
    --txt2-clr: rgb(102, 101, 101);
    --bg-clr: rgb(255, 255, 255);
    --bg2-clr: rgb(243, 242, 242);
    --main-clr: rgb(71, 135, 255);
    --txt-font: "Ubuntu", serif;
}

/* Header */
.header{
    width: 100vw;
    height: 4rem;
    position: fixed;
    display: flex;
    align-items: center;
    z-index: 999;
    background-color: var(--bg-clr);
}
.header h1{
    color: var(--main-clr);
    position: absolute;
    left: 2rem;
}
.header div{
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    right: 2rem;
    gap: 0.4rem;
}
.header div ul{
    display: flex;
    gap: 0.8rem;
    right: 0.4rem;
    font-size: 1.2em;
}
.header div ul li{
    list-style: none;
}
.header div ul li a{
    text-decoration: none;
    color: var(--txt-clr);
    transition: 0.5s ease;
}
.header div ul li a.active{
    text-decoration: none;
    color: var(--main-clr);
    transition: 0.5s ease;
}
.header div a button{
    outline: none;
    color: var(--bg-clr);
    background-color: var(--main-clr);
    border: none;
    border-radius: 6px;
    padding: 0.8rem;
    font-family: var(--txt-font);
    font-weight: 800;
    font-size: 1.04em;
    cursor: pointer;
    transition: 0.5s ease;
}
.header div a button:hover{
    box-shadow: 0 0 10px var(--main-clr);
    background-color: rgb(114, 164, 255);
}
.menu-icon{
    color: var(--main-clr);
    background-color: var(--bg-clr);
    border-radius: 50%;
    padding: 0.4rem;
    position: fixed;
    bottom: 0.8rem;
    right: 0.8rem;
    box-shadow: 0 0 8px;
    transform: rotateY(180deg);
    cursor: pointer;
    z-index: 1001;
    display: none;
    transition: 0.5s ease;
    overflow-x: hidden;
}
.menu-icon:hover{
    color: var(--bg-clr);
    background-color: var(--main-clr);
}
.nav-bar{
    width: 50%;
    height: 100%;
    backdrop-filter: blur(10px);
    top: 0;
    right: -52%;
    position: absolute;
    z-index: 1000;
    position: fixed;
    border-left: 1px solid var(--txt2-clr);
    transition: 0.5s ease;
}
.nav-bar.active {
    right: 0;
}
.nav-bar ul{
    position: absolute;
    top: 8rem;
    width: 100%;
}
.nav-bar ul li{
    font-size: 1.6em;
    padding: 0.8rem;
    padding-left: 2rem;
    list-style: none;
}
.nav-bar ul li a{
    text-decoration: none;
    color: var(--bg-clr);
    transition: 0.5s ease;
    text-shadow: 0 0 10px var(--main-clr);
}
.nav-bar ul li a.active{
    color: var(--main-clr);
    transition: 0.5s ease;
    text-shadow: 0 0 10px var(--bg-clr);
}

/* Making Section Overflow-X Hidden */
section{
    overflow-x: hidden;
    overflow-y: hidden;
}

/* Home Section */
.home{
    width: 100%;
    height: 100vh;
}
.home-container{
    width: 100%;
    height: 100%;
    margin-top: 4rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    background-image: url(group-bg.jpg);
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
    background-position: center;
    filter: brightness(1.2);
}
.home-container::before{
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: white;
    opacity: 0.16;
    pointer-events: none;
}
.home-container h1,
.home-container p,
.home-container div{
    padding: 0.4rem 2rem;
    color: var(--txt-clr);
}
.home-container h1{
    font-size: 2em;
}
.home-container p{
    font-size: 1.08em;
}
.home-container a{
    text-decoration: none;
}
.home-container a button{
    color: var(--txt-clr);
    text-decoration: none;
    border: 2px solid var(--main-clr);
    font-family: var(--txt-font);
    padding: 0.8rem;
    border-radius: 8px;
    font-weight: 600;
    cursor: pointer;
}
.home-container a:nth-child(1) button{
    background-color: var(--main-clr);
    position: relative;
    overflow: hidden;
    z-index: 2;
    color: var(--txt-clr);
    transition: 0.5s ease;
}
.home-container a:nth-child(1) button:hover{
    box-shadow: 0 0 10px var(--main-clr);
    background-color: rgb(114, 164, 255);
}
.home-container a:nth-child(2) button{
    background-color: transparent;
    position: relative;
    overflow: hidden;
    z-index: 2;
    color: var(--main-clr);
    transition: 0.5s ease;
}
.home-container a:nth-child(2) button::before{
    content: 'Browse Projects';
    width: 100%;
    height: 100%;
    position: absolute;
    background-color: var(--bg-clr);
    top: 0;
    left: 0;
    opacity: 0.4;
    z-index: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--txt-clr);
}
.home-container a:nth-child(2) button:hover{
    box-shadow: 0 0 10px var(--main-clr);
    background-color: rgb(114, 164, 255);
}

/* About Section */
.about{
    width: 100%;
    min-height: 100vh;
    color: var(--txt-clr);
    background-color: var(--bg2-clr);
}
.about-container{
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}
.about-container1{
    width: 100%;
    min-height: 20vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    position: relative;
    gap: 0.4rem;
    margin: 6rem 0;
}
.about-container1 p{
    color: var(--txt2-clr);
}
.about-container1 div{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 0.8rem;
}
.about-container1 div div{
    max-width: 14rem;
    height: 10rem;
    background-color: var(--bg-clr);
    padding: 0.8rem;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    text-align: left;
    border-radius: 10px;
}
.about-container1 div div i{
    color: var(--main-clr);
    font-size: 2em;
}
.about-container1 div div p{
    color: var(--txt2-clr);
}
.about-container2{
    width: 100%;
    min-height: 20vh;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    position: relative;
    gap: 0.4rem;
    margin: 2rem 0;
}
.about-container .about-img{
    width: 50vw;
    padding-right: 2rem;
    border-radius: 10px;
}
.about-container .about-img img{
    width: 100%;
    height: 100%;
    filter: brightness(1.2) contrast(1.2);
    border-radius: 10px;
    object-fit: cover;
    object-position: center;
    box-shadow: 0px 10px 20px var(--txt2-clr);
}
.about-container .about-txt{
    max-width: 50%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    text-align: left;
    padding-left: 2rem;
    gap: 0.4rem;
}
.about-container .about-txt h1{
    font-size: 2em;
}
.about-container .about-txt p:nth-child(2){
    color: var(--txt2-clr);
}
.about-container .about-txt p .bx{
    color: var(--main-clr);
}

/* Our Services */
.services{
    width: 100%;
    min-height: 100vh;
    background-color: var(--bg2-clr);
    color: var(--txt-clr);
    display: flex;
    justify-content: center;
    align-items: center;
}
.services-container{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    position: relative;
}
.services-container .services-txt{
    margin-top: 6rem;
}
.services-container .services-txt h1{
    font-size: 2em;
}
.services-container .services-txt p{
    color: var(--txt2-clr);
}
.services-container .services-box{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 0.8rem;
    margin: 2rem 2rem;
}
.services-container .services-box div{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    text-align: left;
    width: 30%;
    min-height: 10rem;
    padding: 0.6rem;
    border-radius: 10px;
    background-color: var(--bg-clr);
    gap: 0.8rem;
}
.services-container .services-box div p{
    color: var(--txt2-clr);
}
.services-container .services-box div .bx{
    color: var(--main-clr);
    font-size: 2em;
}

/* Project Section */
.projects{
    width: 100%;
    min-height: 100vh;
    background-color: var(--bg2-clr);
    color: var(--txt-clr);
}
.projects-container{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    position: relative;
}
.projects-container p{
    color: var(--txt2-clr);
}
.projects-container .projects-txt{
    margin: 6rem 10% 0 10%;
}
.projects-container .projects-box{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    width: 90%;
    gap: 0.8rem;
    margin: 2rem 0;
}
.projects-container .projects-box div{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    text-align: left;
    max-width: 26rem;
    background-color: var(--bg-clr);
    border-radius: 6px;
    overflow: hidden;
    padding-bottom: 0.4rem;
}
.projects-container .projects-box div img{
    width: 100%;
    height: 50%;
    margin-bottom: 0.8rem;
}
.projects-container .projects-box div h3,
.projects-container .projects-box div p{
    margin: 0.4rem 1rem;
}
.projects-container .projects-box div span{
    display: flex;
    align-items: center;
    position: relative;
    width: 100%;
}
.projects-container .projects-box div span p:nth-child(1){
    padding: 0.4rem;
    background-color: rgb(190, 185, 255);
    color: rgb(74, 0, 172);
    border-radius: 20px;
    font-size: 0.6em;
}
.projects-container .projects-box div span p:nth-child(2){
    padding: 0.4rem;
    background-color: rgb(205, 255, 227);
    color: rgb(0, 180, 54);
    border-radius: 20px;
    font-size: 0.6em;
    position: absolute;
    left: 3.6rem;
}
.projects-container .projects-box .projects-box2 span p:nth-child(1){
    background-color: rgb(242, 219, 255);
    color: rgb(158, 0, 179);
}
.projects-container .projects-box .projects-box2 span p:nth-child(2){
    background-color: rgb(255, 248, 205);
    color: rgb(170, 159, 0);
}
.projects-container .projects-box .projects-box3 span p:nth-child(1){
    background-color: rgb(255, 205, 248);
    color: rgb(202, 0, 192);
}
.projects-container .projects-box .projects-box3 span p:nth-child(2){
    background-color: rgb(190, 185, 255);
    color: rgb(111, 0, 255);
}
.projects-container .projects-box div span a{
    text-decoration: none;
    color: var(--bg-clr);
    background-color: var(--main-clr);
    padding: 0.6rem;
    border-radius: 6px;
    position: absolute;
    right: 1rem;
    font-size: 0.8em;
    transition: 0.5s ease;
}
.projects-container .projects-box div span a:hover{
    background-color: rgb(114, 164, 255);
}

/* Success Stories Section*/
.success-stories{
    width: 100%;
    min-height: 100vh;
    background-color: var(--bg2-clr);
    color: var(--txt-clr);
    display: flex;
    justify-content: center;
    align-items: center;
}
.success-stories-container{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    position: relative;
}
.success-stories-txt{
    margin-top: 2rem;
}
.success-stories-box{
    margin: 2rem 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 90%;
    gap: 0.4rem;
}
.success-stories-box p{
    color: var(--txt2-clr);
}
.success-stories-box div{
    width: 50%;
    max-height: 20rem;
    background-color: var(--bg-clr);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    text-align: left;
    border-radius: 10px;
    padding: 0.6rem;
}
.success-stories-box div div{
    display: flex;
    position: relative;
}
.success-stories-box div div div{
    width: 2rem;
    height: 2rem;
    border-radius: 50%;
    overflow: hidden;
}
.success-stories-box div div div img{
    width: 100%;
    height: 100%;
    border-radius: 50%;
}
.success-stories-box div div span{
    position: absolute;
    left: 4.2rem;
}

/* Contact Section */
.contact{
    background-color: var(--bg-clr);
    width: 100%;
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}
.contact-container{
    width: 100%;
    height: 100%;
    margin-top: 6rem;
    display: flex;
    justify-content: center;
    align-items: center;
}
.contact-container .contact-txt{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    text-align: left;
    width: 100%;
    padding: 2rem;
    gap: 0.6rem;
}
.contact-container .contact-txt h1{
    font-size: 2em;
}
.contact-container .contact-txt p{
    color: var(--txt2-clr);
}
.contact-container .contact-txt span{
    display: flex;
    justify-content: center;
    align-items: center;
}
.contact-container .contact-txt span p{
    padding-left: 0.4rem;
    color: var(--txt-clr);
}
.contact-container .contact-txt span .bx{
    color: var(--main-clr);
    font-size: 1.4em;
}
.contact-form{
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 0.8rem;
}
.contact-form #name{
    width: 80%;
    height: 2.4rem;
    outline: none;
    border: 1px solid var(--bg2-clr);
    box-shadow: 2px 2px 2px var(--bg2-clr);
    border-radius: 6px;
    font-family: var(--txt-font);
}
.contact-form #email{
    width: 80%;
    height: 2.4rem;
    outline: none;
    border: 1px solid var(--bg2-clr);
    box-shadow: 2px 2px 2px var(--bg2-clr);
    border-radius: 6px;
    font-family: var(--txt-font);
}
.contact-form #message{
    width: 80%;
    height: 4.8rem;
    outline: none;
    border: 1px solid var(--bg2-clr);
    box-shadow: 2px 2px 2px var(--bg2-clr);
    border-radius: 6px;
    resize: none;
    font-family: var(--txt-font);
}
.contact-form #submit{
    width: 50%;
    color: var(--bg-clr);
    border: none;
    background-color: var(--main-clr);
    padding: 0.8rem;
    border-radius: 6px;
    font-family: var(--txt-font);
    cursor: pointer;
    transition: 0.5s ease;
    margin-bottom: 2rem;
}
.contact-form #submit:hover{
    background-color: rgb(114, 164, 255);
}
.contact-form #name::placeholder,
.contact-form #email::placeholder,
.contact-form #message::placeholder{
    font-family: var(--txt-font);
    opacity: 0.4;
}

/* Become On SMSRam */
.become-expert{
    width: 100%;
    min-height: 40vh;
    background-color: var(--bg2-clr);
}
.become-expert-container{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 0.8rem;
}
.become-expert-container h1{
    margin-top: 4rem;
    font-size: 1.4em;
}
.become-expert-container p{
    color: var(--txt2-clr);
}
.become-expert-container div{
    padding: 0.8rem;
    background-color: var(--main-clr);
    width: 12rem;
    text-align: center;
    border-radius: 6px;
    color: var(--bg-clr);
    cursor: pointer;
    transition: 0.5s ease;
    margin-bottom: 2rem;
}
.become-expert-container div:hover{
    background-color: rgb(114, 164, 255);
}

/* Footer Section */
.footer{
    width: 100%;
    min-height: 40vh;
    background-color: #1f2937;
}
.footer-container{
    width: 100;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: var(--bg-clr);
    padding: 2rem;
}
.footer-container1{
    width: 100%;
    display: flex;
    justify-content: center;
    padding-bottom: 2rem;
    gap: 2rem;
}
.footer-container1 div{
    display: flex;
    flex-direction: column;
}
.footer-container1 div:nth-child(4) span{
    display: flex;
    font-size: 1.4em;
}
.footer-container1 div h1{
    color: var(--main-clr);
}
.footer-container1 div p,
.footer-container1 div a,
.footer-container1 div span .bx,
.footer-container2 p{
    text-decoration: none;
    color: rgb(156, 150, 150);
    transition: 0.5s ease;
}
.footer-container1 div a:hover{
    text-decoration: underline;
    cursor: pointer;
}
.footer-container1 div .bx:hover{
    color: var(--main-clr);
    cursor: pointer;
}
.footer-container2 p{
    text-align: center;
}

/* Responseive */
@media(max-width: 938px){
    .projects-container .projects-box div{
        max-width: 36rem;
    }
}
@media(max-width: 895px){
    .services-container .services-box div{
        width: 45%;
    }
    .footer-container1{
        flex-wrap: wrap;
        text-align: center;
    }
    .footer-container1 div:nth-child(4){
        align-items: center;
    }
}
@media(max-width: 700px){
    .header div ul{
        display: none;
    }
    .menu-icon{
        display: block;
    }
}
@media(max-width: 620px){
    .about-container2{
        flex-direction: column-reverse;
    }
    .about-container .about-txt{
        max-width: 86%;
    }
    .about-container .about-img{
        width: 80vw;
        padding-right: 0;
    }
    .services-container .services-box div{
        width: 90%;
    }
    .success-stories-box{
        flex-direction: column;
    }
    .contact-container{
        flex-wrap: wrap;
    }
    .contact-container .contact-txt{
        align-items: center;
    }
}
